﻿Type=Class
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
 	'---- this NEEDS to be here!!!! for the inputbox lib
	Dim b As Button 'ignore 
	Public fullAnswer As String
	Private IME As IME
End Sub


'Initializes the object. You can add parameters to this method if needed.
'--- valid masks are: "EMAIL", "FREE", "NUM", "NUM+-", "PHONE","CAPS"
Public Sub Initialize(title As String,prompt As String, btnPositive As String,btnNegitive As String, mask As String) As String

	IME.Initialize("IME")
	Dim bd As BetterDialogs
	Dim IP As BD_InputBoxParams
	IP.Initialize
	IP.question = prompt
	IP.QuestionTextSize = 18
	IP.SpaceBetween = 4dip
	IP.InputTextSize = 22
	IP.ValidationCallback = "IP_Validation"
	
	IP.Gravity = Gravity.CENTER_VERTICAL + Gravity.CENTER_HORIZONTAL
	
	IP.InputType = IP.INPUT_TYPE_TEXT
	Select Case mask
		Case "EMAIL"
			IP.ValidationCallback = "email_Input_Validation"
		Case "FREE",""
		Case "NUM"
			IP.InputType = IP.INPUT_TYPE_NUMBERS
		Case "NUM+-"
			IP.InputType = IP.INPUT_TYPE_NUMBERS_WITH_SIGN
		Case "PHONE"
			IP.InputType = IP.INPUT_TYPE_PHONE
		Case "DECIMAL"
			IP.InputType = IP.INPUT_TYPE_DECIMAL_NUMBERS
		Case "CAPS"
			IP.InputType = IP.INPUT_TYPE_TEXT_WITH_CAPS
		Case "BP"
			IP.Format = "###/###"
		
	End Select

	IP.WithSuggestions = True
	
	If(mask <> "" And Regex.Split(",",mask)(0) = "BP") Then 'Just need that
		IP.Format = "###/###"
	End If

	If(mask <> "" And Regex.Split(",",mask).Length > 1) Then 'Just need that
		IP.Default = Regex.Split(",",mask)(1)
	End If
	
	Dim ret As Int = bd.InputBox( title,IP,btnPositive,btnNegitive,"",Null)	
	If ret = DialogResponse.POSITIVE Then
		fullAnswer = IP.Answer
		IME.HideKeyboard
		Return IP.CompactAnswer
	Else
		Return ""
	End If
	
End Sub

Sub IP_Validation(Answer As String, CompactAnswer As String) As String
	If CompactAnswer = "" Then
		Return "Cannot be empty"
	Else
		Return ""
	End If
End Sub

Sub email_Input_Validation(Answer As String, CompactAnswer As String) As String
'	If fn.ValidateEmailAddr( CompactAnswer ) = False Then
'		Return "Not a valid email address"
'	Else
'		Return ""
'	End If
End Sub

