﻿Type=Service
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public kvs As KeyValueStore
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	File.Delete(File.DirDefaultExternal,"datastore2")
	kvs.Initialize(File.DirDefaultExternal, "datastore2")
End Sub

Sub Service_Start (StartingIntent As Intent)
	
	Dim a1 As Double = 8200
	If kvs.Get(c.constMONTHLY_AMOUNT) = Null Then
		kvs.Put(c.constMONTHLY_AMOUNT,a1)
	End If
	If kvs.Get(c.constDAILY_AMOUNT_LEFT) = Null Then
		kvs.Put(c.constDAILY_AMOUNT_LEFT, a1 / DateTime.GetDayOfMonth(c.GetLastDayOfMonth(DateTime.Now)))
	End If
	If kvs.Get(c.constTIME_PERIOD_AMOUNT_LEFT) = Null Then
		kvs.Put(c.constTIME_PERIOD_AMOUNT_LEFT,  a1)
	End If
	If kvs.Get(c.constCURRENT_MONTH) = Null Then
		kvs.Put(c.constCURRENT_MONTH,  DateTime.GetMonth(DateTime.Now))
	End If
	
	
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
